petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetLocalInfo

Gets information about a given distributed array and this processors location in it

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetLocalInfo(DM da,DMDALocalInfo *info)

Not Collective

### Input Parameter

da -the distributed array

### Output Parameters

dainfo -structure containing the information

### Notes

See DMDALocalInfo for the information that is returned

### Fortran Notes

In Fortran the routine is DMDAGetLocalInfoF90(), see DMDALocalInfo for how to access the values

### Developer Notes

Not sure why the Fortran function has a F90() in the name since it does not utilize F90 constructs.

### See Also

DMDAGetInfo(), DMDAGetCorners(), DMDALocalInfo

### Level

beginner

### Location

src/dm/impls/da/daview.c

### Examples

src/dm/examples/tutorials/ex51.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/snes/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex35.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages